//##################################################################################################
//
//  Ceetron Desktop Components
//  WxMinimal
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2014, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include "wx/frame.h"

#include "CeeVisualization/OpenGLContextGroup.h"
#include "ceewxViewerCanvasDemo.h"



//==================================================================================================
//
// 
//
//==================================================================================================
class WMMainFrame : public wxFrame
{

public:
    WMMainFrame();

private:
    void    onShow(wxShowEvent&);
    void    onClose(wxCloseEvent&);

    void    onCreateDefaultScene(wxCommandEvent&);
    void    onClearScene(wxCommandEvent&);
    void    onExit(wxCommandEvent&);
    void    onAbout(wxCommandEvent&);

    void    setupDefaultScene();

private:
    cee::PtrRef<cee::vis::OpenGLContextGroup>   m_contextGroup;
    cee::wx::ViewerCanvasDemo*                  m_viewer;

    DECLARE_EVENT_TABLE()
};

