//##################################################################################################
//
//  Ceetron Desktop Components
//  Platform integration for Qt
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2015, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include "ceeqtViewerGLWidget.h"

namespace cee {
namespace qt {



//==================================================================================================
//
// 
//
//==================================================================================================
class ViewerGLWidgetDemo : public ViewerGLWidget
{
public:
    ViewerGLWidgetDemo(cee::vis::OpenGLContextGroup* contextGroup, QWidget* parent, const QGLFormat& format = QGLFormat());
    ViewerGLWidgetDemo(cee::vis::OpenGLContextGroup* contextGroup, QWidget* parent, ViewerGLWidgetDemo* shareWidget);
    virtual ~ViewerGLWidgetDemo();

protected:
    virtual void    mousePressEvent(QMouseEvent* event);
    virtual void    mouseMoveEvent(QMouseEvent* event);
    virtual void    mouseReleaseEvent(QMouseEvent* event);
    virtual void    wheelEvent(QWheelEvent* event);
};


}   // namespace qt
}   // namespace cee

