//##################################################################################################
//
//  Ceetron Desktop Components
//  Platform integration for WxWidgets
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2014, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include "ceewxViewerCanvas.h"
#include "CeeVisualization/MouseEvent.h"

namespace cee {
namespace wx {



//==================================================================================================
//
// 
//
//==================================================================================================
class ViewerCanvasDemo : public ViewerCanvas
{
public:
    ViewerCanvasDemo(cee::vis::OpenGLContextGroup* contextGroup, wxWindow* parent, int* attribList);
    ViewerCanvasDemo(cee::vis::OpenGLContextGroup* contextGroup, wxWindow* parent, int* attribList, ViewerCanvas* shareCanvas);
    ~ViewerCanvasDemo();

private:
    void                    onMouseMove(wxMouseEvent& event);
    cee::vis::MouseEvent    toMouseEvent(const wxMouseEvent& event);

    DECLARE_EVENT_TABLE()
};

}
}

