//##################################################################################################
//
//  Ceetron Desktop Components
//  Component: Core
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2019, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include "CeeCore/PtrRef.h"

namespace cee {

class Image;
class Str;


//==================================================================================================
//
//
//
//==================================================================================================
class CEE_CORE_EXPORT ImageIoJpeg
{
public:
    static PtrRef<Image>    loadImage(const Str& fileName);
    static bool             saveImage(const Image& image, const Str& fileName);

private:
    ImageIoJpeg();
    CEE_DISALLOW_COPY_AND_ASSIGN(ImageIoJpeg);
};

}
