//##################################################################################################
//
//  Ceetron Desktop Components
//  Component: Core
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2011, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include "CeeCore/LogDestination.h"

namespace cee {

class LogEvent;

//==================================================================================================
//
// 
//
//==================================================================================================
class CEE_CORE_EXPORT LogDestinationConsole : public LogDestination
{
public:
    LogDestinationConsole();
    virtual ~LogDestinationConsole();

	virtual void log(const LogEvent& logEvent);
	virtual Str targetName() const;

private:
    CEE_PRIVATE_IMPL(LogDestinationConsole);
    CEE_DISALLOW_COPY_AND_ASSIGN(LogDestinationConsole);
};

} // namespace cee
