//##################################################################################################
//
//  Ceetron Desktop Components
//  Component: UnstructGrid
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2016, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include "CeeExport/Base.h"

namespace cee {

class PropertySetCollection;

namespace plt {
class OverlayPlot;
}

namespace exp {
class ExportVTFx;

//==================================================================================================
//
// PropertyBuilderPlot2d
//
//==================================================================================================
class CEE_EXP_EXPORT PropertyBuilderPlot2d
{
public:
    PropertyBuilderPlot2d(PropertySetCollection* propSetCollection);
    ~PropertyBuilderPlot2d();

    void    addFromPlot2d(const plt::OverlayPlot& overlayPlot);

private:
    CEE_PRIVATE_IMPL(PropertyBuilderPlot2d);
    CEE_DISALLOW_COPY_AND_ASSIGN(PropertyBuilderPlot2d);
};

}  // namespace exp
}  // namespace cee
