//##################################################################################################
//
//  Ceetron Desktop Components
//  Component: ImportCae
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2014, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include "CeeImportCae/Base.h"

#include "CeeCore/Str.h"

namespace cee {

class Instance;

namespace imp {
namespace cae {


//==================================================================================================
//
// 
//
//==================================================================================================
class CEE_IMP_CAE_EXPORT ImportCaeComponent
{
public:
    static bool             isInitialized();
    static bool             initialize(Instance* instance);

    static unsigned int     version();
    static Str              versionString();

private:
    CEE_DISALLOW_COPY_AND_ASSIGN(ImportCaeComponent);
};


}  // namespace cae
}  // namespace imp
}  // namespace cee
