//##################################################################################################
//
//  Ceetron Desktop Components
//  Component: Plot2d
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2016, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include "CeePlot2d/Base.h"

#include "CeeCore/Str.h"

namespace cee {

class Instance;

namespace plt {


//==================================================================================================
//
// Static class for Plot2d component
//
//==================================================================================================
class CEE_PLT_EXPORT Plot2dComponent
{
public:
    static bool             isInitialized();
    static bool             initialize(Instance* instance);

    static unsigned int     version();
    static Str              versionString();

private:
    CEE_DISALLOW_COPY_AND_ASSIGN(Plot2dComponent);
};


}  // namespace plt
}  // namespace cee
