//##################################################################################################
//
//  Ceetron Desktop Components
//  Component: Report
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2016, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include "CeeReport/Base.h"

#include "CeeCore/Str.h"

#include "CeeUnstructGrid/UnstructGridModel.h"

#include <map>

namespace cee {
namespace rep {

//==================================================================================================
//
// 
//
//==================================================================================================
class CEE_REP_EXPORT FieldValuesGenerator
{
public:
    static std::map<Str, Str> getFieldValuesFromModel(cee::ug::UnstructGridModel* model);

private:
    FieldValuesGenerator();
    CEE_DISALLOW_COPY_AND_ASSIGN(FieldValuesGenerator);
};

} // namespace rep
} // namespace cee
