//##################################################################################################
//
//  Ceetron Desktop Components
//  Component: UnstructGrid
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2017, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include "CeeUnstructGrid/Base.h"

namespace cee {
namespace ug {

//==================================================================================================
//
// 
//
//==================================================================================================
class CEE_UG_EXPORT ResultsQueryItem
{
public:
    ResultsQueryItem();
    ResultsQueryItem(size_t partIndex, size_t index);
    bool operator==(const ResultsQueryItem& other) const;

    size_t partIndex() const;
    size_t index() const;

private:
    size_t  m_partIndex;
    size_t  m_index;
};


}  // namespace ug
}  // namespace cee
