//##################################################################################################
//
//  Ceetron Desktop Components
//  Qt4Minimal
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2011, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include <QMainWindow>

#include "CeeCore/PtrRef.h"
#include "ceeqtViewerGLWidgetDemo.h"



//==================================================================================================
//
// 
//
//==================================================================================================
class Q4MMainWindow : public QMainWindow
{
    Q_OBJECT

public:
    Q4MMainWindow(cee::vis::OpenGLContextGroup* contextGroup);
    ~Q4MMainWindow();

public slots:
    void    slotCreateDefaultScene();
    void    slotClearScene();

private:
    cee::qt::ViewerGLWidgetDemo* m_viewer;
};

