//##################################################################################################
//
//  Ceetron Desktop Components
//  QtDemoApp
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2016, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################



#include "ReportCaptureDialog.h"

#include "ui_ReportCaptureDialog.h"



//==================================================================================================
//
// 
//
//==================================================================================================

//--------------------------------------------------------------------------------------------------
/// 
//--------------------------------------------------------------------------------------------------
ReportCaptureDialog::ReportCaptureDialog(QWidget* parent, Qt::WindowFlags f)
:   QDialog(parent, f),
    m_ui(new Ui::ReportCaptureDialog)
{
    m_ui->setupUi(this);

    m_ui->titleLineEdit->setText("Capture");
    m_ui->descriptionTextEdit->setPlainText("3D Snapshot captured from Ceetron Desktop Components Demo App");

    connect(m_ui->capturePushButton, SIGNAL(clicked()), this, SLOT(accept()));
}


//--------------------------------------------------------------------------------------------------
/// 
//--------------------------------------------------------------------------------------------------
ReportCaptureDialog::~ReportCaptureDialog()
{

}
