//##################################################################################################
//
//  Ceetron Desktop Components
//  QtMinimal
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2011, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include <QMainWindow>

#include "CeeCore/PtrRef.h"
#include "ceeqtViewerOpenGLWidgetDemo.h"



//==================================================================================================
//
// 
//
//==================================================================================================
class QMMainWindow : public QMainWindow, public cee::qt::ViewerOpenGLWidgetDemo::InitializationObserver
{
    Q_OBJECT

public:
    QMMainWindow(cee::vis::OpenGLContextGroup* contextGroup);
    ~QMMainWindow();

public slots:
    void    slotCreateDefaultScene();
    void    slotClearScene();

private:
    virtual void    onViewerOpenGLReady(cee::qt::ViewerOpenGLWidget* viewer);

private:
    cee::qt::ViewerOpenGLWidgetDemo* m_viewer;
};

