//##################################################################################################
//
//  Ceetron Desktop Components
//  QtRepositoryManager
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2016, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#include "QRMSummaryDialog.h"

#include "ui_QRMSummaryDialog.h"

#include "ceeqtUtilsCore.h"


//==================================================================================================
//
// 
//
//==================================================================================================

//--------------------------------------------------------------------------------------------------
/// 
//--------------------------------------------------------------------------------------------------
QRMSummaryDialog::QRMSummaryDialog(cee::Str templateFileName, cee::Str summary)
: m_ui(new Ui::QRMSummaryDialog)
{
    m_ui->setupUi(this);

    m_ui->plainTextEdit->setPlainText(cee::qt::UtilsCore::toQString(summary));
    m_ui->templateNameLineEdit->setText(cee::qt::UtilsCore::toQString(templateFileName));
}


//--------------------------------------------------------------------------------------------------
/// 
//--------------------------------------------------------------------------------------------------
QRMSummaryDialog::~QRMSummaryDialog()
{
}

