//##################################################################################################
//
//  Ceetron Desktop Components
//  QtTutorialRunner
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2012, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include "ceeqtViewerOpenGLWidget.h"

class TutorialRunnerMainWindow;



//==================================================================================================
//
// 
//
//==================================================================================================
class TutorialRunnerViewer : public cee::qt::ViewerOpenGLWidget
{
    Q_OBJECT

public:
    TutorialRunnerViewer(cee::vis::OpenGLContextGroup* contextGroup, QWidget* parent, TutorialRunnerMainWindow* mainWindow);

protected:
    virtual void mousePressEvent(QMouseEvent* event);
    virtual void mouseMoveEvent(QMouseEvent* event);
    virtual void mouseReleaseEvent(QMouseEvent* event);
    virtual void wheelEvent(QWheelEvent* event);

private:
    TutorialRunnerMainWindow*   m_mainWindow;
};


