//##################################################################################################
//
//  Ceetron Desktop Components
//  Component: Core
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2014, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include "CeeCore/Base.h"

namespace cee {

//==================================================================================================
//
// Timer class
//
//==================================================================================================
class CEE_CORE_EXPORT Timer 
{
public:
    Timer();
    ~Timer();

    double  time() const;
    double  lapTime();

    void    restart();

private:
    CEE_PRIVATE_IMPL(Timer);
};

} // namespace cee
