//##################################################################################################
//
//  Ceetron Desktop Components
//  Component: ImportCae
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2014, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include "CeeImportCae/Base.h"

namespace cee {
namespace imp {
namespace cae {

//==================================================================================================
//
// 
//
//==================================================================================================
class CEE_IMP_CAE_EXPORT ReaderSettingsPtc
{

public:
	ReaderSettingsPtc();

    void setCreateInternalTets(bool create);
    bool createsInternalTets() const;

private:
    bool m_createsInternalTets;
};

}
}
}
