//##################################################################################################
//
//  Ceetron Desktop Components
//  Component: Report
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2013, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include "CeeReport/Base.h"
#include "CeeCore/Str.h"

#include <string>

namespace cee {

class Instance;

namespace rep {

class CEE_REP_EXPORT ReportComponent
{
public:
    static bool             initialize(Instance* instance);
    static bool             isInitialized();

    static unsigned int     version();
    static Str              versionString();

private:
    ReportComponent();
    CEE_DISALLOW_COPY_AND_ASSIGN(ReportComponent);

};

} // namespace rep
} // namespace cee
